
From: Bodo Eggert <7eggert@gmx.de>

In sound/isa/Kconfig, select ISAPNP and depend on ISAPNP are intermixed,
resulting in funny behaviour.  (Soundcarts get selectable if other
soundcards are selected).

This patch changes the "depend on ISAPNP"s to select.

Signed-Off-By: Bodo Eggert <7eggert@gmx.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 sound/isa/Kconfig |   15 ++++++++++-----
 1 files changed, 10 insertions(+), 5 deletions(-)

diff -puN sound/isa/Kconfig~use-select-in-sound-isa-kconfig sound/isa/Kconfig
--- devel/sound/isa/Kconfig~use-select-in-sound-isa-kconfig	2005-07-25 19:54:30.000000000 -0700
+++ devel-akpm/sound/isa/Kconfig	2005-07-25 19:54:30.000000000 -0700
@@ -15,7 +15,8 @@ config SND_CS4231_LIB
 
 config SND_AD1816A
 	tristate "Analog Devices SoundPort AD1816A"
-	depends on SND && ISAPNP
+	depends on SND
+	select ISAPNP
 	select SND_OPL3_LIB
 	select SND_MPU401_UART
 	select SND_PCM
@@ -80,7 +81,8 @@ config SND_CS4236
 
 config SND_ES968
 	tristate "Generic ESS ES968 driver"
-	depends on SND && ISAPNP
+	depends on SND
+	select ISAPNP
 	select SND_MPU401_UART
 	select SND_PCM
 	help
@@ -291,7 +293,8 @@ config SND_WAVEFRONT
 
 config SND_ALS100
 	tristate "Avance Logic ALS100/ALS120"
-	depends on SND && ISAPNP
+	depends on SND
+	select ISAPNP
 	select SND_OPL3_LIB
 	select SND_MPU401_UART
 	select SND_PCM
@@ -304,7 +307,8 @@ config SND_ALS100
 
 config SND_AZT2320
 	tristate "Aztech Systems AZT2320"
-	depends on SND && ISAPNP
+	depends on SND
+	select ISAPNP
 	select SND_OPL3_LIB
 	select SND_MPU401_UART
 	select SND_CS4231_LIB
@@ -328,7 +332,8 @@ config SND_CMI8330
 
 config SND_DT019X
 	tristate "Diamond Technologies DT-019X, Avance Logic ALS-007"
-	depends on SND && ISAPNP
+	depends on SND
+	select ISAPNP
 	select SND_OPL3_LIB
 	select SND_MPU401_UART
 	select SND_PCM
_
